### Function

# GObject signal_chain_from_overridden_handler

since: 2.18

#### Declaration

    void
    g_signal_chain_from_overridden_handler (
      GObjectTypeInstance* instance,
      ...
    )

#### Description

Calls the original class closure of a signal. This function should only be called from an overridden class closure; see `g_signal_override_class_closure()` and g_signal_override_class_handler().

Available since: 2.18

This function is not directly available to language bindings.

#### Parameters

`instance`

  Type: `GTypeInstance`

  The instance the signal is being emitted on.

  The data is owned by the caller of the function.

`...`

  Type: ``

  Parameters to be passed to the parent class closure, followed by a location for the return value. If the return type of the signal is `G_TYPE_NONE`, the return value location can be omitted.